Loading...
Searching...
No Matches
charconv File Reference

The <charconv> header from C++17's standard library. More...

`#include <charconv>`
`#include <utility>`
`#include <version>`
`#include <cassert>`
`#include <concepts>`
`#include <sstream>`
Include dependency graph for charconv:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | std
| SeqAn specific customisations in the standard namespace.

## Functions

template<std::floating_point floating_point_type>
from_chars_result | std::from_chars (char const *first, char const *last, floating_point_type &value, chars_format fmt=chars_format::general) noexcept
| Parse a char sequence into an floating point value.
template<std::floating_point floating_point_type>
to_chars_result | std::to_chars (char *first, char *last, floating_point_type value) noexcept
| std::to_chars overload for floating point via a std::stringstream for default base = 10.

## Detailed Description

The <charconv> header from C++17's standard library.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me